package com.bytedance.globalpayment.service.manager.ecommerce;

import X.C0253TOt;
import X.C0255TOv;
import X.C0256TOw;
import X.C0259TOz;
import com.bytedance.covode.number.Covode;

public interface ECommerceExternalService extends ECommerceService {
    static {
        Covode.recordClassIndex(27219);
    }

    ECommerceService getECommerceService();

    C0253TOt getPayChannel(int i);

    void init();

    void pay(int i, C0259TOz tOz, C0256TOw tOw);

    void startBankCardOcr(String str, C0255TOv tOv);
}
